This contrib database driver is for PostgreSQL with a minimum version of 9.6 and does NOT support the [`pg_trgm`](https://www.postgresql.org/docs/current/pgtrgm.html) extension.

All users of this contrib database driver are strongly encouraged to which over to using the by core supported database driver for PostgreSQL. This driver is to be used as a fallback for the by core supported driver. The difference with the by core supported driver is that this driver supports PostgreSQL version 9.6 as its minimum. Compared with PostgreSQL version 10 for the by core supported driver. This driver also does not support the `pg_trgm` extension, which is required by the by core supported driver.

As long as the by core supported driver does not use the `pg_trgm` extension, you can easily switch to the by core supported driver. You can switch to the by core supported driver by changing the driver setting in the file: `DRUPAL_ROOT/sites/default/settings.php`. Change it from `pgsql_fallback` to `pgsql`. After the by core supported driver has started using the `pg_trgm` extension, an update must be run to add the indexes that are used by the core supported driver. This contrib driver will create such an update. That update will check if the PostgreSQL database connected to the site has all the requirements that are needed by the by core supported driver. After that update has run the driver setting can be changed from `pgsql_fallback` to `pgsql` in the file: `DRUPAL_ROOT/sites/default/settings.php`.
