<?php

namespace Drupal\Tests\pgsql_fallback\Kernel;

use Drupal\Core\Database\Database;
use Drupal\KernelTests\KernelTestBase;

/**
 * Tests the database connection for the PgsqlFallback database driver.
 *
 * @covers \Drupal\pgsql_fallback\Driver\Database\PgsqlFallback\Connection
 * @group Database
 */
class PgsqlFallbackConnectionTest extends KernelTestBase {

  /**
   * Tests the connections drivers name.
   */
  public function testConnectionRouting() {
    $connection = Database::getConnection();
    $this->assertIdentical($connection->driver(), 'PgsqlFallback');
  }

}
